<?php
add_action('init', 'cnm_init');
add_action('admin_menu', 'add_cnm_pages');
add_option('cnm_three_column', '0', '');

function get_sidebar2() {
	do_action('get_sidebar2');
	if ( ( 1 == get_option('cnm_three_column') ) && ( file_exists( TEMPLATEPATH . '/sidebar2.php') ) )
		load_template( TEMPLATEPATH . '/sidebar2.php');
}

function cnm_init() {	
	if ( function_exists('register_sidebars') )
		if  ( 1 == get_option('cnm_three_column') ) {
			register_sidebars(2, array(
				'before_widget' => '',
				'after_widget' => '',
				'before_title' => '<h1 class="title">',
				'after_title' => '</h1>',
		    ));
		} else {
			register_sidebars(1, array(
				'before_widget' => '',
				'after_widget' => '',
				'before_title' => '<h1 class="title">',
				'after_title' => '</h1>',
		    ));
		}
}

function add_cnm_pages() {
	add_theme_page('Agordoj de Pure gracia', 'Agordoj de etoso', 8, basename(__FILE__), 'cnm_options_page');
}

// wp_nonce
function cnm_nonce_field() {
	echo "<input type='hidden' name='cnm-nonce-key' value='" . wp_create_nonce('clean-and-mean') . "' />";
}

// Clean and Mean options page
function cnm_options_page() {
	// Store options if postback	
	if ( isset($_POST['Submit']) ) {
		// Prevent attacks
		if ( wp_verify_nonce($_POST['cnm-nonce-key'], 'clean-and-mean') ) {
		
			// Update Clean and Mean options
			update_option('cnm_three_column', $_POST['cnm_three_column']);
		}
	}
	?>

	<form method="post" action="<?php echo attribute_escape($_SERVER['REQUEST_URI']); ?>">
	<?php cnm_nonce_field(); ?>
	<div class="wrap">
		<h2>Agordoj de Pure gracia</h2>
		
		<table class="form-table">
			<tr valign="top">
				<th scope="row">
					<label for="cnm_three_column">Nombro de kolumnoj:</label>
				</th>
				<td>
					<select name="cnm_three_column" id="cnm_three_column">
						<option value="0"<?php echo ( '0' == get_option('cnm_three_column') ) ? ' selected="selected"' : ''; ?>>2 kolumnoj</option>
						<option value="1"<?php echo ( '1' == get_option('cnm_three_column') ) ? ' selected="selected"' : ''; ?>>3 kolumnoj</option>
					</select>
					<br />Libervole aldoni trian kolumnon al Pure gracia. La tria kolumno aperos maldekstre de la paĝo kaj estas utiligata per al aldono de kromprogrametoj.
				</td>
			</tr>
		</table>
		
		<p class="submit">
			<input type="submit" name="Submit" value="Konservi" />
		</p>
	</div>
	</form>
	
	<?php
} // cnm_options_page()
if  ( 1 == get_option('cnm_three_column') )
define('HEADER_IMAGE', '%s/images/header2.jpg');
else
define('HEADER_IMAGE', '%s/images/header.jpg');
 // %s is theme dir uri
if  ( 1 == get_option('cnm_three_column') ){
define('HEADER_IMAGE_WIDTH', 960);
define('HEADER_IMAGE_HEIGHT', 75);}
else{
define('HEADER_IMAGE_WIDTH', 760);
define('HEADER_IMAGE_HEIGHT', 75);}

function admin_header_style() { ?>
<style type="text/css">
#top, #headimg {
        background: url(<?php header_image(); ?>) left bottom no-repeat;
        height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
        width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
}
</style>

<?php }

function header_style() { ?>

<style type="text/css">
#top {
	background: #000 url(<?php header_image(); ?>) 0 bottom no-repeat;
    height: 150px;
}


}
</style>

<?php }

if ( function_exists('add_custom_image_header') ) {
  add_custom_image_header('header_style', 'admin_header_style');
} 

?>
